Page MenuHomePhabricator

Ensure termbox output is not cached in case the SSR request failed
Closed, ResolvedPublic

Description

In case the request to the Termbox SSR service fails, we need to ensure that no faulty or incomplete view data is cached within ParserOutput.

Potential solution:

Event Timeline

Jakob_WMDE triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2019, 5:16 PM
Jakob_WMDE moved this task from To Do to Doing on the Wikidata-Termbox-Iteration-9 board.

Change 490874 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Ensure termbox output is not cached in case the SSR request failed

https://gerrit.wikimedia.org/r/490874

Jakob_WMDE removed Jakob_WMDE as the assignee of this task.Feb 15 2019, 4:39 PM

Change 493016 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/Wikibase@master] Ensure termbox output is not cached in case the SSR request failed

https://gerrit.wikimedia.org/r/493016

Jakob_WMDE updated the task description. (Show Details)Feb 26 2019, 4:24 PM

Change 490874 abandoned by Jakob:
Ensure termbox output is not cached in case the SSR request failed

Reason:
Abandoning in favor of the simpler (and functioning) Iab88d26723b568bfc0ab0d8287ed6672e83b7540

https://gerrit.wikimedia.org/r/490874

Change 493016 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Ensure termbox output is not cached in case the SSR request failed

https://gerrit.wikimedia.org/r/493016

Lea_WMDE closed this task as Resolved.Apr 17 2019, 1:50 PM
Lea_WMDE claimed this task.